[Mongrel] Problem Starting Mongrel

Chandu Chandu lists at ruby-forum.com
Mon Nov 10 19:48:29 EST 2008


Hi, I am newbie started learning ruby on rails i had an application
which used to run pretty well
latter i upgraded from webbrick to mongrel 1.1.5 then  I am getting the
foloowing errors and a default application runs on port 3000 i have
attached its screen shot as an attachement and error which i get in
terminal below

=> Booting Mongrel (use 'script/server webrick' to force WEBrick)
=> Rails application starting on http://0.0.0.0:3000
=> Call with -d to detach
=> Ctrl-C to shutdown server
** Starting Mongrel listening at 0.0.0.0:3000
Exiting
/Library/Ruby/Gems/1.8/gems/mongrel-1.1.5/lib/mongrel/tcphack.rb:12:in
`initialize_without_backlog': Address already in use - bind(2)
(Errno::EADDRINUSE)
  from
/Library/Ruby/Gems/1.8/gems/mongrel-1.1.5/lib/mongrel/tcphack.rb:12:in
`initialize'
  from /Library/Ruby/Gems/1.8/gems/mongrel-1.1.5/lib/mongrel.rb:93:in
`new'
  from /Library/Ruby/Gems/1.8/gems/mongrel-1.1.5/lib/mongrel.rb:93:in
`initialize'
  from
/Library/Ruby/Gems/1.8/gems/mongrel-1.1.5/lib/mongrel/configurator.rb:139:in
`new'
  from
/Library/Ruby/Gems/1.8/gems/mongrel-1.1.5/lib/mongrel/configurator.rb:139:in
`listener'
  from /Library/Ruby/Gems/1.8/gems/mongrel-1.1.5/bin/mongrel_rails:99:in
`cloaker_'
  from
/Library/Ruby/Gems/1.8/gems/mongrel-1.1.5/lib/mongrel/configurator.rb:50:in
`call'
  from
/Library/Ruby/Gems/1.8/gems/mongrel-1.1.5/lib/mongrel/configurator.rb:50:in
`initialize'
   ... 14 levels...
  from
/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/gems/1.8/gems/rails-1.2.6/lib/commands/server.rb:39
  from /Library/Ruby/Site/1.8/rubygems/custom_require.rb:27:in
`gem_original_require'
  from /Library/Ruby/Site/1.8/rubygems/custom_require.rb:27:in `require'
  from ./script/server:3

Thanks & Regards
Chandu
-- 
Posted via http://www.ruby-forum.com/.


More information about the Mongrel-users mailing list